if(!setup.parameterize)
    setup.parameterize = function(v){
        switch(typeof v){
            case 'boolean':
            case 'number':
                return v.toString();
            case 'string':
                return "'"+v+"'";
            default:
                let raw = JSON.stringify(v);
                raw = raw.slice(1,-1);
                return '`'+raw+'`';
        }
    }
